Bug 29849 - Forms iOS Project Template Adds Entitlements.plist to iPhoneSimulator Configurations
Summary: Forms iOS Project Template Adds Entitlements.plist to iPhoneSimulator Configu...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Xamarin.Forms (show other bugs)
Version: 3.11 (C5)
Hardware: PC Mac OS
: --- normal
Target Milestone: 3.11.2 (C5SR2)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-05-07 13:35 UTC by Jimmy [MSFT]
Modified: 2015-06-02 08:30 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Projects files from templates (3.01 KB, application/zip)
2015-05-07 13:35 UTC, Jimmy [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Jimmy [MSFT] 2015-05-07 13:35:07 UTC
Created attachment 11121 [details]
Projects files from templates

***Overview***
When creating a new Forms project, the iOS .csproj file includes <CodesignEntitlements>Entitlements.plist</CodesignEntitlements> in the Debug|iPhoneSimulator and Release|iPhoneSimulator configurations.

Because Xam.iOS 8.10 now correctly checks Entitlements.plist to determine if the build should be signed, this results in users hitting bug #29654 if they don't have code signing keys on the build host and does not let them debug using a simulator.

Note: The iOS project templates do not experience this issue, only the Forms templates. I've attached two .csproj files, (1) from the Forms PCL template and (2) from the iOS iPhone Single View App template.

***Steps to Reproduce***
1. Create a new Forms project 
2. Set the iOS project as start up project and configuration to Debug|iPhoneSimulator
3. Build the iOS project.


***Actual Results***
If there are no code signing keys on the build host, the build will fail.


***Expected Results***
The builds completes successfully and the app can be debugged on a simulator.


***Environment Info***
Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

Team Explorer for Visual Studio 2013   06177-004-0444002-02323
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0444002-02323
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0444002-02323
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0444002-02323
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0444002-02323
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0444002-02323
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06177-004-0444002-02323
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

Common Azure Tools   1.3
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.3
Microsoft Azure Mobile Services Tools

Multilingual App Toolkit   3.1.1250.0
Multilingual App Toolkit helps you localize your Windows Store app by providing file management, pseudo and machine translation, translation editor, and build integration. http://go.microsoft.com/fwlink?linkid=245767

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PowerShell Tools   1.3
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Xamarin   3.11.445.0 (5061f92)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   5.1.0.115 (d23da369e436488f38c8ab8fe8a9ae7d9ea5256b)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.Forms Intellisense   1.0
Provides intellisense for Xamarin.Forms in the XML editor.

Xamarin.iOS   8.10.0.0 (7741cc495ab0baf04ff0405d0604bc27f0ecae2e)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified

Xamarin.TestCloud.Integration   1.0
Early preview of Xamarin Test Cloud integration
Comment 2 PJ 2015-05-19 16:25:34 UTC
This did not make SR1, but should be a candidate for SR2. Updating milestone.
Comment 3 Emanuel 2015-05-29 14:02:33 UTC
Fixed in cycle5dev branch:
wrench: f19740c8285297659769daef5a38e5fe53c2026a
commit: b9132b4d58610eb8894ba515a1bcb11ac8a8973c
Comment 4 Parmendra Kumar 2015-06-02 08:30:36 UTC
I have checked this issue with XVS build 5.0.875.0 and observed that Forms iOS Project Template does not Adds Entitlements.plist to iPhoneSimulator Configurations.

Screencast: http://www.screencast.com/t/hYXfzKGLPNHD

Hence closing this issue.

Environment info:

Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641

Xamarin   5.0.875.0 (59ae11a)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   5.1.99.335 (c56e2f189574de2ee117082269a4ec897d0ceffc)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.Forms Intellisense   1.0
Provides intellisense for Xamarin.Forms in the XML editor.

Xamarin.iOS   8.11.0.0 (e2c50315d6ae7dbf3cd5138f883fcc718e3b9d5e)
Visual Studio extension to enable development for Xamarin.iOS.